Skip to main content
POST
/
v1
/
connect
/
{project_id}
/
actions
/
run
cURL
curl --request POST \
  --url https://api.pipedream.com/v1/connect/{project_id}/actions/run \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-pd-environment: <x-pd-environment>' \
  --data '
{
  "id": "<string>",
  "external_user_id": "<string>",
  "version": "1.0.0",
  "configured_props": {},
  "dynamic_props_id": "<string>",
  "stash_id": "<string>"
}
'
{
  "exports": {},
  "os": [
    {
      "k": "<string>",
      "ts": 123,
      "err": {
        "name": "<string>",
        "message": "<string>",
        "stack": "<string>"
      },
      "msg": "<string>"
    }
  ],
  "ret": "<unknown>",
  "stash_id": "<string>"
}

Error handling

When an action fails, the response includes an error object with an attribution field that classifies where the error originated. See the docs on error responses for the full list of attribution origins and details on how attribution works.

Authorizations

Authorization
string
header
required

A short-lived Connect token for client-side requests on behalf of an end user. Generate one via the Create Connect token endpoint.

Headers

x-pd-environment
enum<string>
required

The environment in which the server client is running

Available options:
development,
production

Path Parameters

project_id
string
required

The project ID, which starts with proj_.

Pattern: ^proj_[a-zA-Z0-9]+$

Body

application/json

Request options for running an action

id
string
required

The action component ID

external_user_id
string
required

The external user ID

version
string | null
default:latest

Action component semantic version

Example:

"1.0.0"

configured_props
object

The configured properties of the component

dynamic_props_id
string

The ID for dynamic props

stash_id

The ID of the File Stash to use for syncing the action's /tmp directory, or either true or 'NEW' to create a new stash

Response

action ran

The response received after running an action. See https://pipedream.com/docs/components/api#returning-data-from-steps for more details.

exports
object

The key-value pairs resulting from calls to $.export

os
object[]

Any logs produced during the execution of the action

ret
any | null

The value returned by the action

stash_id
string | null

The ID of the File Stash